<?xml version="1.0" encoding="UTF-8"?>
<configuration>
	<configSections>
		<sectionGroup name="businessObjects">
		</sectionGroup>
	</configSections>
	<connectionStrings>
		<add name="ApplicationServices" connectionString="data source=HIGHRISE;Integrated Security=SSPI;Initial Catalog=AdminTool;Integrated Security=true;MultipleActiveResultSets=True;" providerName="System.Data.SqlClient" />
		<add name="HighriseEnggWebConnectionString" connectionString="Data Source=HIGHRISE;Initial Catalog=HighriseEngineering;Integrated Security=True;MultipleActiveResultSets=True;" />
	</connectionStrings>
	<appSettings>
		<add key="IsTrackActive" value="false" />
		<add key="Dev" value="false" />
	</appSettings>
	<system.web>
		<httpRuntime requestValidationMode="2.0" maxUrlLength="10999" maxQueryStringLength="2097151" enableVersionHeader="false" executionTimeout="20000" maxRequestLength="2097151" />
		<customErrors mode="Off" />
		<globalization culture="en-GB" uiCulture="en-GB" />
		<httpCookies requireSSL="false" />
		<sessionState timeout="480" />
		<machineKey validationKey="F40C7D18E7FE001BC90837920C5030461AB8451A9E884698EDE2320A5207F3136AB5EA9F075333AA86287BDF6A6EC6E1AFEDAF409C825752602D0C3B60DAB865" decryptionKey="7746691558BFCC1CC4B0C2BB321203FFBE12C38FD9A879902F500043A5041101" validation="SHA1" decryption="AES" />
		<compilation debug="true" strict="false" batch="false" explicit="true" targetFramework="4.0">
			<assemblies>
				<add assembly="mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
				<!-- <add assembly="Microsoft.SqlServer.ConnectionInfo, Version=10.0.0.0, Culture=neutral, PublicKeyToken=89845DCD8080CC91"/> -->
				<!-- <add assembly="Microsoft.SqlServer.Management.Sdk.Sfc, Version=10.0.0.0, Culture=neutral, PublicKeyToken=89845DCD8080CC91"/> -->
				<!-- <add assembly="Microsoft.SqlServer.Smo, Version=10.0.0.0, Culture=neutral, PublicKeyToken=89845DCD8080CC91"/> -->
				<add assembly="System.Net, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
				<add assembly="System.Net.Http, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
			</assemblies>
		</compilation>
		<authentication mode="Forms">
			<forms loginUrl="~/Login.aspx" timeout="480" slidingExpiration="true" defaultUrl="login.aspx" requireSSL="false" />
		</authentication>
		<membership userIsOnlineTimeWindow="10">
			<providers>
				<clear />
				<add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="ApplicationServices" passwordFormat="Encrypted" enablePasswordRetrieval="true" enablePasswordReset="false" requiresQuestionAndAnswer="false" requiresUniqueEmail="false" maxInvalidPasswordAttempts="3" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="10" applicationName="/" />
			</providers>
		</membership>
		<profile>
			<providers>
				<clear />
				<add name="AspNetSqlProfileProvider" type="System.Web.Profile.SqlProfileProvider" connectionStringName="ApplicationServices" applicationName="/" />
			</providers>
		</profile>
		<roleManager enabled="true">
			<providers>
				<clear />
				<add connectionStringName="ApplicationServices" applicationName="/" name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" />
				<add applicationName="/" name="AspNetWindowsTokenRoleProvider" type="System.Web.Security.WindowsTokenRoleProvider" />
			</providers>
		</roleManager>
	
		<pages>
			<controls>
				<add tagPrefix="ajaxToolkit" assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" />
			</controls>
		</pages>
	</system.web>
	<system.web.extensions>
		<scripting>
			<webServices>
				<jsonSerialization maxJsonLength="50000000" />
			</webServices>
		</scripting>
	</system.web.extensions>
	<system.webServer>
		<modules runAllManagedModulesForAllRequests="true" />
		<staticContent>
			<clientCache cacheControlCustom="public" cacheControlMode="UseMaxAge" cacheControlMaxAge="365.00:00:00" />
			<remove fileExtension=".woff" />
			<remove fileExtension=".woff2" />
			<mimeMap fileExtension=".woff" mimeType="application/x-font-woff" />
			<mimeMap fileExtension=".woff2" mimeType="application/font-woff2" />
		</staticContent>
		<httpProtocol>
			<customHeaders>
				<add name="Access-Control-Allow-Origin" value="*" />
				<add name="X-Frame-Options" value="DENY" />
				<add name="X-XSS-Protection" value="1; mode=block" />
				<add name="X-Content-Type-Options" value="nosniff" />
				<remove name="X-Powered-By" />
				<add name="Permissions-Policy" value="geolocation=(), camera=(), microphone=(), payment=()" />
				<add name="Referrer-Policy" value="no-referrer-when-downgrade" />
				<add name="Strict-Transport-Security" value="max-age=31536000; includeSubDomains" />
			</customHeaders>
		</httpProtocol>
		<urlCompression doDynamicCompression="true" doStaticCompression="true" />
	</system.webServer>
</configuration>









